searchData={"items":[{"type":"module","doc":"","title":"Elemental","ref":"Elemental.html"},{"type":"module","doc":"> Exposing Daisy breadcrumbs as Phoenix components.","title":"Elemental.Breadcrumbs","ref":"Elemental.Breadcrumbs.html"},{"type":"function","doc":"A wrapper around DaisyUI's breadcrumbs.","title":"Elemental.Breadcrumbs.breadcrumbs/1","ref":"Elemental.Breadcrumbs.html#breadcrumbs/1"},{"type":"function","doc":"* Global attributes are accepted.","title":"Attributes - Elemental.Breadcrumbs.breadcrumbs/1","ref":"Elemental.Breadcrumbs.html#breadcrumbs/1-attributes"},{"type":"function","doc":"* `item` (required) - Specify the items in the breadcrumb.","title":"Slots - Elemental.Breadcrumbs.breadcrumbs/1","ref":"Elemental.Breadcrumbs.html#breadcrumbs/1-slots"},{"type":"module","doc":"> An abstraction around DaisyUI's dropdown.\n\nThink of it as a more advanced `Elemental.Select` with support for\nmulti-select and searching out of the box.\n\nThis is implement in a manner that works drop in in forms and uses\nonly dead/stateless components with minimal JavaScript.","title":"Elemental.Dropdown","ref":"Elemental.Dropdown.html"},{"type":"module","doc":"Make sure in your application to include the required JavaScript hooks\nrequired for the main behaviour, found in `dropdown.js`.\n\nSee the [hooks section](#javascript-hooks) for more details.\n\nMost basic usage is done by simply passing it `options`\n\n   <.dropdown options={[\"Foo\", \"Bar\"]}/>\n\nSee `dropdown/1` for details on the support properties and their behaviour.","title":"Usage - Elemental.Dropdown","ref":"Elemental.Dropdown.html#module-usage"},{"type":"module","doc":"This implementation requires JavaScript hooks for it's main behaviour,\nutilizes 3 main hooks\n\n- `ElementalDropdownSearch` implementing filtering/search behaviour when enabled.\n- `ElementalDropdownSingleItem` implementing prompt changes when using single item mode.\n- `ElementalDropdownMultiItem` implementing prompt changes when using multi item mode.","title":"JavaScript hooks - Elemental.Dropdown","ref":"Elemental.Dropdown.html#module-javascript-hooks"},{"type":"function","doc":"> The primary dropdown component.\n\nThis dropdown attempts to provide a fully featured dropdown/select element\nwith native support for searching along with multiple select mode out\nof the box.","title":"Elemental.Dropdown.dropdown/1","ref":"Elemental.Dropdown.html#dropdown/1"},{"type":"function","doc":"The component is implemented as a dead/stateless component as to simplify it's\nusage and avoid complexities associated with live/stateful components.\n\nThis comes from my dissatisfaction with implementations I found which have behaviours\nthat I kept finding to be non-obvious and odd, from how they interact with\nevents sent to parent vs themselves, along with how they handle their\nstates.\n\nAdditionally the implementation aims to be drop-in compatible with forms in general\nas well as how forms are handled in Phoenix/LiveView without requiring much fuss.\n\nThe behaviour relies heavily on the provided minimal JavaScript hooks, as well as\nrelying on native form behaviours with how forms deal with radio buttons and\ncheckboxes.","title":"Implementation considerations - Elemental.Dropdown.dropdown/1","ref":"Elemental.Dropdown.html#dropdown/1-implementation-considerations"},{"type":"function","doc":"* `options` (`:list`) (required) - The list of values to select between. This is required to either be a list of\n  strings, or a list of string tuples.","title":"Attributes - Elemental.Dropdown.dropdown/1","ref":"Elemental.Dropdown.html#dropdown/1-attributes"},{"type":"function","doc":"- If given as a list of strings (`[String.t]`) each option will use that value\n    as both it's label and value sent to from the dropdown.\n  - If give as a list of tuples (`[{String.t, String.t}]`), those tuples are expected\n    to be two strings, the first being the label to use, while the second is\n    expected to be the value to send from the dropdown.\n  - Mixing the two forms is allowed.\n\n* `prompt` (`:string`) - The prompt to display for the the dropdown.\n\n  This value is replaced when a selection is made with the selected item's label\n  (requires JavaScript enabled in the browser).\n\n  Defaults to `nil`.\n* `name` (`:string`) - The name of the dropdown, if not given a random value is selected.\n* `value` (`:any`) - A value that is selected currently by the component.\n\n  Useful for either preselecting items or to maintaining selected\n  items state across rerenders.","title":"List item types - Elemental.Dropdown.dropdown/1","ref":"Elemental.Dropdown.html#dropdown/1-list-item-types"},{"type":"function","doc":"- The type is required to either be a single string or a list of strings,\n    the values of it should correspond to the value (not label) of the\n    options (if using a list of strings then it's the same as label).\n  - If the type is single select and if the value is a list of more than one\n    item this will raise an error.\n\n  Defaults to `nil`.\n* `multi` (`:boolean`) - To enable selection of multiple values, passed to consumer as a list. Defaults to `false`.\n* `align` (`:string`) - Specify the alignment for the dropdown. Defaults to `\"start\"`.\n* `from` (`:string`) - Specify where the dropdown will appear from. Defaults to `\"bottom\"`.\n* `hover` (`:boolean`) - To enable opening the dropdown on hover. Defaults to `false`.\n* `open` (`:boolean`) - To open the dropdown immediately. Defaults to `false`.\n* `searchable` (`:boolean`) - To enable searching the options of the dropdown.\n\n  Search is performed by looking through the labels for the given\n  input as substring to match on, if it doesn't match the option\n  is disabled, deselected, and hidden.\n\n  #### Notes:\n  - Search is case-insensitive.\n  - This features JavaScript enabled in the browser along with Hooks enabled.\n\n  Defaults to `false`.\n* `class` (`:string`) - Additional CSS classes to pass to the dropdown.\n\n  Those will be applied to the the dropdown prompt container since it's\n  the \"visible\"/\"interactive\" bit of the dropdown.\n\n  Defaults to `nil`.","title":"Type - Elemental.Dropdown.dropdown/1","ref":"Elemental.Dropdown.html#dropdown/1-type"},{"type":"module","doc":"> Exposing Daisy loaders as Phoenix components.","title":"Elemental.Loading","ref":"Elemental.Loading.html"},{"type":"function","doc":"A wrapper around all DaisyUI's loading components.","title":"Elemental.Loading.loading/1","ref":"Elemental.Loading.html#loading/1"},{"type":"function","doc":"* `type` (`:string`) - Specify the type of loader to use. Defaults to `\"spinner\"`.\n* `color` (`:string`) - Choose which color the loading component will be. Defaults to `\"primary\"`.\n* `size` (`:string`) - Choose which size the loading component will be. Defaults to `\"md\"`.\n* `screen_reader_text` (`:string`) - Set the hidden text intended for screen readers. Defaults to `\"Loading...\"`.","title":"Attributes - Elemental.Loading.loading/1","ref":"Elemental.Loading.html#loading/1-attributes"},{"type":"module","doc":"","title":"Elemental.Select","ref":"Elemental.Select.html"},{"type":"function","doc":"","title":"Elemental.Select.select/1","ref":"Elemental.Select.html#select/1"},{"type":"function","doc":"* `prompt` (`:string`) - An optional prompt to display for the select field. Defaults to `nil`.\n* Global attributes are accepted.","title":"Attributes - Elemental.Select.select/1","ref":"Elemental.Select.html#select/1-attributes"},{"type":"function","doc":"* `option` - The options available for the select. Accepts attributes:\n\n  * `value` (`:any`)","title":"Slots - Elemental.Select.select/1","ref":"Elemental.Select.html#select/1-slots"},{"type":"module","doc":"","title":"Elemental.Storybook","ref":"Elemental.Storybook.html"},{"type":"function","doc":"","title":"Elemental.Storybook.load_story/1","ref":"Elemental.Storybook.html#load_story/1"},{"type":"module","doc":"","title":"Elemental.Storybook.Root","ref":"Elemental.Storybook.Root.html"},{"type":"module","doc":"","title":"Elemental.Storybook.Router","ref":"Elemental.Storybook.Router.html"},{"type":"function","doc":"","title":"Elemental.Storybook.Router.browser/2","ref":"Elemental.Storybook.Router.html#browser/2"},{"type":"function","doc":"Callback invoked by Plug on every request.","title":"Elemental.Storybook.Router.call/2","ref":"Elemental.Storybook.Router.html#call/2"},{"type":"function","doc":"Callback required by Plug that initializes the router\nfor serving web requests.","title":"Elemental.Storybook.Router.init/1","ref":"Elemental.Storybook.Router.html#init/1"},{"type":"function","doc":"","title":"Elemental.Storybook.Router.storybook_assets/2","ref":"Elemental.Storybook.Router.html#storybook_assets/2"},{"type":"function","doc":"","title":"Elemental.Storybook.Router.storybook_browser/2","ref":"Elemental.Storybook.Router.html#storybook_browser/2"},{"type":"module","doc":"> Tabular data display components.","title":"Elemental.Table","ref":"Elemental.Table.html"},{"type":"function","doc":"","title":"Elemental.Table.body/1","ref":"Elemental.Table.html#body/1"},{"type":"function","doc":"* `data` (`:any`) (required) - .\n* `row_id` (`:any`) - . Defaults to `nil`.","title":"Attributes - Elemental.Table.body/1","ref":"Elemental.Table.html#body/1-attributes"},{"type":"function","doc":"* `cell` - . Accepts attributes:\n\n  * `id` (`:string`) - The identifier of this specific cell in the header row.\n  * `class` (`:string`) - The main CSS classes that will style this specific cell in the header row.","title":"Slots - Elemental.Table.body/1","ref":"Elemental.Table.html#body/1-slots"},{"type":"function","doc":"","title":"Elemental.Table.header/1","ref":"Elemental.Table.html#header/1"},{"type":"function","doc":"* Global attributes are accepted.","title":"Attributes - Elemental.Table.header/1","ref":"Elemental.Table.html#header/1-attributes"},{"type":"function","doc":"* `cell` - . Accepts attributes:\n\n  * `id` (`:string`) - The identifier of this specific cell in the header row.\n  * `class` (`:string`) - The main CSS classes that will style this specific cell in the header row.","title":"Slots - Elemental.Table.header/1","ref":"Elemental.Table.html#header/1-slots"},{"type":"function","doc":"","title":"Elemental.Table.table/1","ref":"Elemental.Table.html#table/1"},{"type":"function","doc":"* Global attributes are accepted.","title":"Attributes - Elemental.Table.table/1","ref":"Elemental.Table.html#table/1-attributes"},{"type":"function","doc":"* `inner_block` (required)","title":"Slots - Elemental.Table.table/1","ref":"Elemental.Table.html#table/1-slots"},{"type":"module","doc":"> Exposing Daisy tooltips as Phoenix components.","title":"Elemental.Tooltip","ref":"Elemental.Tooltip.html"},{"type":"function","doc":"Provides a Phoenix functional component wrapping the tooltip CSS based component.\n\nWrap a given inner slot with a `div` defining the tooltip attribute, and maps\nthe given attributes to useful tooltip properties.","title":"Elemental.Tooltip.tooltip/1","ref":"Elemental.Tooltip.html#tooltip/1"},{"type":"function","doc":"* `tip` (`:string`) (required) - The text of the tooltip to display.\n* `position` (`:string`) - The positioning of the tooltip. Defaults to `\"top\"`.\n* `color` (`:string`) - The color to use for the tooltip. Defaults to `\"primary\"`.\n* `open` (`:boolean`) - Where to have the tooltip open immediately. Defaults to `false`.","title":"Attributes - Elemental.Tooltip.tooltip/1","ref":"Elemental.Tooltip.html#tooltip/1-attributes"},{"type":"function","doc":"* `inner_block` (required)","title":"Slots - Elemental.Tooltip.tooltip/1","ref":"Elemental.Tooltip.html#tooltip/1-slots"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}